Cross-compiler Issue



  • i got cross-compile as ,

    arm-none-linux-gnueabi-addr2line

    arm-none-linux-gnueabi-gprof
    arm-none-linux-gnueabi-ar
    arm-none-linux-gnueabi-ld
    arm-none-linux-gnueabi-as
    arm-none-linux-gnueabi-nm
    arm-none-linux-gnueabi-c++
    arm-none-linux-gnueabi-objcopy
    arm-none-linux-gnueabi-c++filt
    arm-none-linux-gnueabi-objdump
    arm-none-linux-gnueabi-cpp
    arm-none-linux-gnueabi-ranlib
    arm-none-linux-gnueabi-g++
    arm-none-linux-gnueabi-readelf
    arm-none-linux-gnueabi-gcc
    arm-none-linux-gnueabi-size
    arm-none-linux-gnueabi-gcc-4.3.3
    arm-none-linux-gnueabi-sprite
    arm-none-linux-gnueabi-gcov
    arm-none-linux-gnueabi-strings
    arm-none-linux-gnueabi-gdb
    arm-none-linux-gnueabi-strip
    arm-none-linux-gnueabi-gdbtui

    how to Cross Compile Qt5.1 ...........? any TIPS..........


  • Moderators

    Can you be more specific? What is it that you want, have you tried anything already, what were the errors, etc.

    In general, you can cross-compile using xplatform passed to configure. See configure --help for more info.



  • i know i need to edit qmake.conf. But which one linux-32-g++ or arm-linux-g++ ?

    after editing qmake, what i shoud do ???

    i Changed this things on Qt5.1 is it right ???
    @
    QMAKE_CC = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-gcc
    QMAKE_CXX = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-g++
    QMAKE_LINK = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-g++
    QMAKE_LINK_SHLIB= /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-g++
    QMAKE_AR = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-ar cqs
    QMAKE_OBJCOPY = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-objcopy
    QMAKE_STRIP = /home/CodeSourcery/Sourcery_G++_Lite/bin/arm-none-linux-gnueabi-strip@


  • Moderators

    You usually don't need to modify any files. In rare cases, you may need to touch mkspecs for your toolchain.

    In general:

    download source code of Qt (tar.bz package)

    extract it and cd into it

    run ./configure -prefix $PWD/qtbase -xplatform <your mkspecs> <other options>

    make

    ready! You can now compile your application using this Qt version

    As for the choice, you probably need to go with arm-linux-g++ if your target platform is ARM-based. But I can't say more without hearing more details from you ;)



  • got this error:

    Creating qmake...
    make: Nothing to be done for `first'.
    Running configuration tests...
    Warning: Disabling pkg-config since PKG_CONFIG_LIBDIR is not set.
    Warning: Disabling pkg-config since PKG_CONFIG_SYSROOT_DIR is not set.
    No QPA platform plugin enabled!
    If you really want to build without a QPA platform plugin you must pass
    -no-qpa-platform-guard to configure. Doing this will
    produce a Qt that can not run GUI applications.
    The dependencies needed for xcb to build are listed in
    src/plugins/platforms/xcb/README



  • it got work in Qt4.8.5.......



  • Your error message is self explaining. Isn't it?

    bq. No QPA platform plugin enabled! If you really want to build without a QPA bq. platform plugin you must pass -no-qpa-platform-guard to configure. Doing this will produce a Qt that can not run GUI applications. The dependencies needed for xcb to build are listed in src/plugins/platforms/xcb/README


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.